Bug 3669 - samba unbecome_local_master_success
samba unbecome_local_master_success
Status: RESOLVED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: File Services
3.0.13
x64 Windows XP
: P3 normal
: none
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2006-04-10 05:15 UTC by axel
Modified: 2006-04-10 07:31 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description axel 2006-04-10 05:15:01 UTC
I had some problems with samba 3.0.13-1.1-SUSE.
The 'fileserver' is an w2k host. Someone has an idea?

My primary domain controller logged the following logs.

[2006/03/24 21:16:33, 0] nmbd/nmbd_become_lmb.c:become_local_master_stage2(396)
  *****

  Samba name server PDC1 is now a local master browser for workgroup MSW-INTERN on subnet 192.168.2.201

  *****
[2006/04/10 08:49:48, 0] nmbd/nmbd_incomingdgrams.c:process_local_master_announce(311)
  process_local_master_announce: Server FILESERVER at IP 192.168.2.200 is announcing itself as a local master browser for workgroup MSW-INTERN and we think we are master. Forcing election.
[2006/04/10 08:49:48, 0] nmbd/nmbd_become_lmb.c:unbecome_local_master_success(149)
  *****


  Samba name server PDC1 has stopped being a local master browser for workgroup MSW-INTERN on subnet 192.168.2.201

  *****
[2006/04/10 08:50:05, 0] nmbd/nmbd_nameregister.c:register_name_response(130)
  register_name_response: server at IP 192.168.2.200 rejected our name registration of MSW-INTERN<1d> IP 192.168.2.201 with error code 6.
[2006/04/10 08:50:05, 0] nmbd/nmbd_become_lmb.c:become_local_master_fail2(417)
  become_local_master_fail2: failed to register name MSW-INTERN<1d> on subnet 192.168.2.201. Failed to become a local master browser.
[2006/04/10 08:50:05, 0] nmbd/nmbd_become_lmb.c:become_local_master_fail2(417)
  become_local_master_fail2: failed to register name MSW-INTERN<1d> on subnet 192.168.2.201. Failed to become a local master browser.
[2006/04/10 08:50:05, 0] nmbd/nmbd_namelistdb.c:standard_success_release(384)
  standard_success_release: Name release for name __MSBROWSE__<01> IP 192.168.2.201 on subnet 192.168.2.201. Name was not found on subnet.
[2006/04/10 08:50:05, 0] nmbd/nmbd_namelistdb.c:standard_fail_register(283)
  standard_fail_register: Failed to register/refresh name MSW-INTERN<1d> on subnet 192.168.2.201
[2006/04/10 08:50:05, 0] lib/fault.c:fault_report(36)
  ===============================================================
[2006/04/10 08:50:05, 0] lib/fault.c:fault_report(37)
  INTERNAL ERROR: Signal 11 in pid 6352 (3.0.13-1.1-SUSE)
  Please read the appendix Bugs of the Samba HOWTO collection
[2006/04/10 08:50:05, 0] lib/fault.c:fault_report(39)
  ===============================================================
[2006/04/10 08:50:06, 0] lib/util.c:smb_panic2(1495)
  PANIC: internal error
[2006/04/10 08:50:06, 0] lib/util.c:smb_panic2(1503)
  BACKTRACE: 12 stack frames:
   #0 /usr/sbin/nmbd(smb_panic2+0x120) [0x80da290]
   #1 /usr/sbin/nmbd(smb_panic+0x26) [0x80da466]
   #2 /usr/sbin/nmbd [0x80c4e30]
   #3 [0xffffe420]
   #4 /usr/sbin/nmbd(retransmit_or_expire_response_records+0x181) [0x8070761]
   #5 /usr/sbin/nmbd(unbecome_local_master_browser+0x1eb) [0x8063d2b]
   #6 /usr/sbin/nmbd [0x8063e89]
   #7 /usr/sbin/nmbd [0x806e119]
   #8 /usr/sbin/nmbd(run_packet_queue+0x937) [0x8071907]
   #9 /usr/sbin/nmbd(main+0x4ac) [0x8061c0c]
   #10 /lib/tls/libc.so.6(__libc_start_main+0xd0) [0xb7d74e80]
   #11 /usr/sbin/nmbd [0x8060761]
Comment 1 Gerald (Jerry) Carter 2006-04-10 07:31:45 UTC
Please retest with 3.0.22.  I'm pretty sure this has been fixed.